Summary:          Eclipse Shell script editor
Name:             eclipse-shelled
Version:          2.0.3
Release:          5%{?dist}
License:          EPL
URL:              http://sourceforge.net/projects/shelled
Group:            Development/Tools
Source0:          http://downloads.sourceforge.net/project/shelled/shelled/ShellEd%20%{version}/shelled-%{version}-src.tar.bz2
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-dltk >= 4.0.0
Requires:         eclipse-manpage
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-dltk
BuildRequires:    eclipse-manpage
BuildRequires:    tycho
BuildRequires:    java-devel >= 0:1.7
BuildArch:        noarch

%description
ShellEd is a superb shell script editor for Eclipse. 
The great benefit of this plugin is the integration of man page information
 for content assist and text hover.

%prep
%setup -q -n shelled-%{version}-src
%pom_remove_parent
sed -i -e "s/net.sourceforge.shelled-feature/net.sourceforge.shelled/g" pom.xml
%pom_xpath_remove pom:build/pom:extensions
%mvn_package ":*.tests" __noinstall
%mvn_package "::jar:sources:"

%build
%mvn_build -j -f

%install
%mvn_install 

%files -f .mfiles

%changelog
* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 2.0.3-5
- Build with xmvn.

* Mon Jun 9 2014 Alexander Kurtakov <akurtako@redhat.com> 2.0.3-4
- Fix FTBFS.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 8 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.3-1
- Update to upstream 2.0.3. Restores Kepler compatibility.

* Wed Feb 20 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-3
- Start using tycho as upstream builds are done.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-1
- Update to 2.0.2 final release.

* Wed May 2 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-0.3.svn133
- Update to new upstream snapshot.
- Fixes rhbz#817153 and rhbz#817156.

* Thu Apr 26 2012 Sami Wagiaalla <swagiaal@redhat.com> 2.0.2-0.2.20120420svn
- Correct version of eclipse-platform requirement.

* Fri Apr 20 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.0.2-0.1.20120420svn
- Update to latest upstream.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 Alexander Kurtakov <akurtako@redhat.com> 2.0.1-1
- Update to 2.0.1 release.

* Fri Aug 19 2011 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-1
- Update to 2.0.0 final.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.M3.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Roland Grunberg <rgrunber@redhat.com> 2.0.0-0.M3.1
- Update to 2.0.0 Milestone 3.
- Change %setup flag to -c since source has no top-level directory.

* Mon Jan 25 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-0.M2.1
- Update to 2.0.0 Milestone 2.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-3
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 8 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-1
- Update to version 1.0.4.

* Thu Nov 27 2008 Alexander Kurtakov <akurtakov@redhat.com> 1.0.3-3
- FIx %%doc handling.

* Wed Nov 26 2008 Alexander Kurtakov <akurtakov@redhat.com> 1.0.3-2
- Drop unneeded BRs - zip and lzma.
- Fix %%defattr.
- Use %%{version} macro for the Source0.
- Add %%doc.

* Fri Oct 31 2008 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-1 
- Provide fetch script.
- Fix license.
- Initial version
